#!/bin/bash

apt-get install -y wget g++ python3 tar bzip2 make libghc-regex-pcre-dev
wget https://github.com/danmar/cppcheck/archive/2.10.tar.gz
tar -xvf ./2.10.tar.gz
rm ./2.10.tar.gz
mkdir /usr/share/cppcheck
cd ./cppcheck-2.10/
make MATCHCOMPILER=yes FILESDIR=/usr/share/cppcheck HAVE_RULES=yes CXXFLAGS="-O2 -DNDEBUG -Wall -Wno-sign-compare -Wno-unused-function"
make install FILESDIR=/usr/share/cppcheck
cd ..
