#!/bin/bash

docker stop my_builder_container my_builder_container
docker rm my_builder_container 

# Сборка образа из Dockerfile
docker build - < dockerfile
echo "image make compiled"

# Сборка образа с тегом 'builder'
docker build --tag 'builder' .

# Запуск контейнера на основе образа 'builder'
docker run -d --name my_builder_container builder

# Вывод списка запущенных контейнеров
docker ps

echo "use \"sudo docker exec -it my_builder_container bash\""